Bug 136593 - Icons missing for .uno:Distribute*
Summary: Icons missing for .uno:Distribute*
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: medium enhancement
Assignee: Rizal Muttaqin
URL:
Whiteboard: target:7.1.0
Keywords:
Depends on: 97918
Blocks: Icon-Theme-Breeze Icon-Theme-Colibre Icon-Theme-KarasaJaga Icon-Theme-Elementary Icon-Theme-Sifr Icon-Theme-Sukapura
  Show dependency treegraph
 
Reported: 2020-09-09 06:24 UTC by Heiko Tietze
Modified: 2020-09-18 06:50 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Heiko Tietze 2020-09-09 06:24:59 UTC
In order to solve bug 97918 the distribution was split into separate commands and a parent introduced to make these options available as dropdown/submenu items (currently under review in https://bugs.documentfoundation.org/show_bug.cgi?id=97918). The new commands lack now on nice icons.

.uno:Distribute
.uno:DistributeHorzLeft
.uno:DistributeHorzCenter
.uno:DistributeHorzDistance
.uno:DistributeHorzRight
.uno:DistributeVertTop
.uno:DistributeVertCenter
.uno:DistributeVertDistance
.uno:DistributeVertBottom

The deprecated dialog started per .uno:DistributeSelection has these icons but only in small sizes. It reads it from
svx/res/dsth_low.png
svx/res/dsth_cen.png
svx/res/dsth_dst.png
svx/res/dsth_hig.png
svx/res/dstv_hig.png
svx/res/dstv_cen.png
svx/res/dstv_dst.png
svx/res/dstv_low.png
Comment 1 Commit Notification 2020-09-12 11:37:26 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/05d5062dca095f2e53de26db41edeb0b1279138b

Breeze,Colibre,elementary,KJ,Sukapura: tdf#136593 icon for new Distribution uno commands

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2020-09-13 10:28:44 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/35377971467be9b2ba30bab3e9b0983be11b4196

Sifr: tdf#136593 icon for new Distribution uno commands

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.